/**
 * Copyright Kyndryl, Inc. 2023
 */
import { LitElement } from 'lit';
/**
 * Accordion component.
 *
 * @slot unnamed - Holds Accordion Items (kd-accordion-item) that make up the accordion
 *
 */
export declare class Accordion extends LitElement {
    static styles: import("lit").CSSResultGroup[];
    /** Specifies whether to show numbers on the list items. */
    accessor showNumbers: boolean;
    /** Specifies the number to start at if the list has numbers. */
    accessor startNumber: number;
    /** Specifies whether to show the accordion items with filled headers. */
    accessor filledHeaders: boolean;
    /** Display the accordion as compact or the default large size. */
    accessor compact: boolean;
    /** The string that displays on the toggle to expand all the accordion items. */
    accessor expandLabel: string;
    /** The string that displays on the toggle to collapse all the accordion items. */
    accessor collapseLabel: string;
    /**
     * The state of the toggle controlling the "expand all" functionality
     * @ignore
     */
    accessor _allOpenState: boolean;
    /** Slotted children kd-accordion-item
     * @internal
     */
    accessor _accordionItems: Array<any>;
    protected _handleSlotChange(): void;
    willUpdate(changedProps: any): void;
    protected _updateChildren(): void;
    protected _openAllItems(): void;
    protected _closeAllItems(): void;
    private _toggleExpandAll;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'kd-accordion': Accordion;
    }
}
//# sourceMappingURL=accordion.d.ts.map